/***************************************************************************
                          dlg_login.h  -  description
                             -------------------
    begin                : Sat Sep 29 2001
    copyright            : (C) 2001, 2002 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLG_LOGIN_H
#define DLG_LOGIN_H

#include <qwidget.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qlabel.h>
#include <kdialogbase.h>
#include <klineedit.h>

#include "resource.h"

/**
  *@author Troy Corbin Jr.
  */

class dlg_login : public KDialogBase
{
   Q_OBJECT

	public:
									dlg_login(QWidget *parent=0, const char *name=0, resource *Rsrc=0, serverList::Iterator ITin=0);
									~dlg_login();

	public slots:
		void					slotOk( void );

	private:
		resource			*Resource;
		QHBox					*BOX_Parent;
		QVBox					*BOX_TEXT;
		QVBox					*BOX_EDIT;
		KLineEdit			*EDIT_Login;
		KLineEdit			*EDIT_Password;
		QLabel				*TEXT_Login;
		QLabel				*TEXT_Password;
		serverList::Iterator	IT;
};

#endif
