/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Mar  1 10:43:51 CST 2001
    copyright            : (C) 2001, 2002 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// #include <kcmdlineargs.h>
// #include <kaboutdata.h>
// #include <klocale.h>
#include "knights.h"
#include <qpe/qpeapplication.h>	
// static KCmdLineOptions options[] =
// {
// 	{ "d <path>", I18N_NOOP("Specify the location of your Knights data directory."), 0 },
// 	{ "+[filename]", I18N_NOOP("A .pgn file to be loaded."), 0 },
// 	{ 0, 0, 0 }
// };

int main(int argc, char *argv[])
{
	
	QPEApplication a(argc, argv);
        Knights *knights;
        if (argc >=3 && argv[1]==QCString("-f"))
	   knights = new Knights(0,"knights",QString::fromLatin1(argv[2]));
        else
           knights = new Knights(0,"knights");
	if( !knights->Init() )	// Di0=d we init ok?
	{
		
		return 0;
	}
	a.showMainDocumentWidget(knights);
	/* Without this connection, the destructors are not called, and some
			housecleaning ( like destroying child processes ) isn't done */
	a.connect( &a, SIGNAL( aboutToQuit () ), knights, SLOT( KillAll() ) );
	return a.exec();	
}
