/***************************************************************************
                          thinbuttons.h  -  description
                             -------------------
    begin                : Tue Nov 13 2001
    copyright            : (C) 2001, 2002 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef THINBUTTONS_H
#define THINBUTTONS_H

#include <qpopupmenu.h>
#include <qframe.h>
#include <qbutton.h>
#include "definitions.h"
#include "resource.h"

/**
  *@author Troy Corbin Jr.
  */
struct Buttons
{
	QButton		*button;
	int				ID;
};

class thinbuttons : public QFrame
{
  Q_OBJECT
	public:
								thinbuttons(QWidget *parent=0, const char *name=0, resource *Rsrc=0);
								~thinbuttons();
		void				setButton( int id );
		QButton*		find( int id );
		void				remove( QButton* button );
		void				resize( const int Width );
		int					id( QButton * );
	signals:
    void        clicked( int id );
	protected slots:
    void        buttonClicked(void);
		void				menuFunct( int );
	protected:
		void				childEvent( QChildEvent * );
	private:
		resource										*Resource;
		QPopupMenu									*matchMenu;
		QList<Buttons>							buttons;
		int													seed;

};

#endif
