#ifndef MICROKDE_KLISTVIEW_H
#define MICROKDE_KLISTVIEW_H

#include <qlistview.h>
#include <qpoint.h>
#include <qstring.h>
#include <qlist.h>
class KConfig;

class KListView : public QListView
{
    Q_OBJECT
  public:
    KListView( QWidget *parent=0, const char *name=0 )
      : QListView( parent, name ) {}

    void saveLayout( KConfig *, const QString & ) {}
    void restoreLayout( KConfig *, const QString & ) {}
    QList<QListViewItem> selectedItems()
    {
    QList<QListViewItem> list;
    for (QListViewItem *i=firstChild(); i!=0; i=i->itemBelow())
       if (i->isSelected()) list.append(i);
    return list;
    }
    signals:
    void doubleClicked( QListViewItem *, QPoint, int );
};

#endif
